Subject: Re: [PATCH net v1] net: phy: smsc: fix printing too many logs

From: Andrew Lunn <[email-masked]>
Date: Wed, 17 Jun 2020 18:19:25 +0200

On Wed, Jun 17, 2020 at 11:33:40PM +0800, Dejin Zheng wrote:
> Commit 7ae7ad2f11ef47 ("net: phy: smsc: use phy_read_poll_timeout()
> to simplify the code") will print a lot of logs as follows when Ethernet
> cable is not connected:
> 
> [    4.473105] SMSC LAN8710/LAN8720 2188000.ethernet-1:00: lan87xx_read_status failed: -110
> 
> So fix it by read_poll_timeout().

Do you have a more detailed explanation of what is going on here?

After a lot of thought, i think i can see how this happens. But the
commit message should really spell out why this is the correct fix.

Thanks
	Andrew